Subject: Re: bug#41343: tab-bar-mode: Close tab on mouse-2 click

From: Juri Linkov <[email-masked]>
Date: Wed, 20 May 2020 00:54:15 +0300

>> > Please consider adding a binding to close a tab in tab-bar-mode by
>> > clicking on it using the middle mouse button (mouse-2).
>> 
>> Like in bug#41342, when someone will find a way to emit the <mouse-2> event
>> on the tab-bar,  I'll immediately bind it to the tab closing command.
>
> What do you mean by "find a way"?  What is the problem here?

The problem is to figure out how to force clicking different
mouse buttons to emit the corresponding mouse event.  Currently
clicking on the tab-line correctly emits such events, e.g.:

  <tab-line> <mouse-1>
  <tab-line> <mouse-2>

but clicking any mouse button on the tab-bar emits events like:

  <tab-bar> <tab-1>
  <tab-bar> <tab-2>